CVE-2010-0001

medium
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Integer underflow in the unlzw function in unlzw.c in gzip before 1.4 on 64-bit platforms, as used in ncompress and probably others, allows remote attackers to cause a denial of service (application crash) or possibly execute arbitrary code via a crafted archive that uses LZW compression, leading to an array index error.

References

http://git.savannah.gnu.org/cgit/gzip.git/commit/?id=a3db5806d012082b9e25cc36d09f19cd736a468f

http://itrc.hp.com/service/cki/docDisplay.do?docId=emr_na-c02286083

http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10705

http://lists.apple.com/archives/security-announce/2010//Nov/msg00000.html

http://lists.opensuse.org/opensuse-security-announce/2010-01/msg00009.html

http://ncompress.sourceforge.net/#status

http://savannah.gnu.org/forum/forum.php?forum_id=6153

http://secunia.com/advisories/38220

http://secunia.com/advisories/38223

http://secunia.com/advisories/38225

http://secunia.com/advisories/38232

http://secunia.com/advisories/40551

http://secunia.com/advisories/40655

http://secunia.com/advisories/40689

http://securitytracker.com/id?1023490

http://support.apple.com/kb/HT4435

http://www.debian.org/security/2010/dsa-1974

http://www.debian.org/security/2010/dsa-2074

http://www.mandriva.com/security/advisories?name=MDVSA-2010:019

http://www.mandriva.com/security/advisories?name=MDVSA-2010:020

http://www.mandriva.com/security/advisories?name=MDVSA-2011:152

http://www.osvdb.org/61869

http://www.redhat.com/support/errata/RHSA-2010-0061.html

http://www.ubuntu.com/usn/USN-889-1

http://www.vupen.com/english/advisories/2010/0185

http://www.vupen.com/english/advisories/2010/1796

http://www.vupen.com/english/advisories/2010/1872

https://bugzilla.redhat.com/show_bug.cgi?id=554418

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10546

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A7511

https://rhn.redhat.com/errata/RHSA-2010-0095.html

Details

Source: MITRE

Published: 2010-01-29

Updated: 2017-09-19

Type: CWE-189

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

Tenable Plugins

View all (25 total)

IDNameProductFamilySeverity
89740VMware ESX / ESXi Third-Party Libraries and Components (VMSA-2010-0009) (remote check)NessusVMware ESX Local Security Checks
critical
79961GLSA-201412-08 : Multiple packages, Multiple vulnerabilities fixed in 2010NessusGentoo Local Security Checks
critical
67990Oracle Linux 3 / 4 / 5 : gzip (ELSA-2010-0061)NessusOracle Linux Local Security Checks
medium
60727Scientific Linux Security Update : gzip on SL3.x, SL4.x, SL5.x i386/x86_64NessusScientific Linux Local Security Checks
medium
56530Mandriva Linux Security Advisory : ncompress (MDVSA-2011:152)NessusMandriva Local Security Checks
medium
800791Mac OS X 10.6 < 10.6.5 Multiple VulnerabilitiesLog Correlation EngineOperating System Detection
high
5705Mac OS X 10.6 < 10.6.5 Multiple VulnerabilitiesNessus Network MonitorGeneric
critical
50548Mac OS X 10.6.x < 10.6.5 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
critical
49857SuSE 10 Security Update : gzip (ZYPP Patch Number 6793)NessusSuSE Local Security Checks
medium
47792Debian DSA-2074-1 : ncompress - integer underflowNessusDebian Local Security Checks
medium
47203Fedora 11 : gzip-1.3.12-10.fc11 (2010-0964)NessusFedora Local Security Checks
medium
47201Fedora 12 : gzip-1.3.12-14.fc12 (2010-0884)NessusFedora Local Security Checks
medium
46765VMSA-2010-0009 : ESXi ntp and ESX Service Console third-party updatesNessusVMware ESX Local Security Checks
high
44947Slackware 13.0 / current : gzip (SSA:2010-060-03)NessusSlackware Local Security Checks
medium
44839Debian DSA-1974-1 : gzip - several vulnerabilitiesNessusDebian Local Security Checks
medium
44313SuSE 10 Security Update : gzip (ZYPP Patch Number 6792)NessusSuSE Local Security Checks
medium
44312SuSE 11 Security Update : gzip (SAT Patch Number 1839)NessusSuSE Local Security Checks
medium
44310openSUSE Security Update : gzip (gzip-1838)NessusSuSE Local Security Checks
medium
44308openSUSE Security Update : gzip (gzip-1838)NessusSuSE Local Security Checks
medium
44306openSUSE Security Update : gzip (gzip-1838)NessusSuSE Local Security Checks
medium
44304SuSE9 Security Update : gzip (YOU Patch Number 12573)NessusSuSE Local Security Checks
medium
44107Ubuntu 6.06 LTS / 8.04 LTS / 8.10 / 9.04 / 9.10 : gzip vulnerabilities (USN-889-1)NessusUbuntu Local Security Checks
medium
44104RHEL 3 / 4 / 5 : gzip (RHSA-2010:0061)NessusRed Hat Local Security Checks
medium
44101Mandriva Linux Security Advisory : gzip (MDVSA-2010:020)NessusMandriva Local Security Checks
medium
44098CentOS 3 / 4 / 5 : gzip (CESA-2010:0061)NessusCentOS Local Security Checks
medium